Bug 62552 - Anaconda confused about the drive geometry
Summary: Anaconda confused about the drive geometry
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61901
TreeView+ depends on / blocked
 
Reported: 2002-04-02 16:00 UTC by Daniel Powell
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Powell 2002-04-02 16:00:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Anaconda pops up an error message every time I install. Saying the drive 
geometry is not the same as what gpartd thinks it should be. It offers to pass 
parms to the kernel at boot. When i do that, it then says that the geometry 
should be the other way. This is a drive on a Promise ATA100 controller on an 
ASUS A7V133 Mobo. I'm quite confused... I have no way to tell what the bios 
reports the Geometry as. its a 40G IBM Deskstar. I assume it would be in LBA 
mode which is 5005/255/63  rather than 78092/16/63 or something. Quite odd. 
Seems that either gpartd or anaconda is having an issue

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the installer CD by hitting enter or passing hde=5005,255,63
2. When it comes to load Disk Druid error pops up
3. Change the geometry in the boot stage, and the same thing happens
with reversed numbers.

Actual Results:  Anaconda/diskdruid/gpartd  bitches about the geometry. if you 
change it to what it THINKS is the Geometry, it just bitches about the opposite 
number.	

Expected Results:  nothing should happen at all, it should accept the info the 
BIOS gives.

Additional info:

I cannot tell what the real geometry is on this controller. There are no 
interactive features on it. This may well be a misplaced bug and need to go to 
Disk Druid or gpartd actually. I'm not sure.

Comment 1 Jeremy Katz 2002-04-10 21:47:51 UTC
What does the kernel think it is (look in /proc/ide/hdX/geometry)?

Comment 2 Michael Fulbright 2002-05-06 18:27:25 UTC
Closing due to inactivity. Please reopen if there is new information regarding
the issue report.

Comment 3 Red Hat Bugzilla 2006-02-21 18:48:39 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.